testing::internal::ValuesInIteratorRangeGenerator< T > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::ValuesInIteratorRangeGenerator< T >:

## Public Member Functions

template<typename ForwardIterator >
| ValuesInIteratorRangeGenerator (ForwardIterator begin, ForwardIterator end)
| ~ValuesInIteratorRangeGenerator () override
ParamIteratorInterface< T > * | Begin () const override
ParamIteratorInterface< T > * | End () const override
Public Member Functions inherited from testing::internal::ParamGeneratorInterface< T >
virtual | ~ParamGeneratorInterface ()

## Additional Inherited Members

Public Types inherited from testing::internal::ParamGeneratorInterface< T >
typedef T | ParamType

## Detailed Description

### template<typename T>
class testing::internal::ValuesInIteratorRangeGenerator< T >

Definition at line 10828 of file gtest.h.

## Constructor & Destructor Documentation

## ValuesInIteratorRangeGenerator()

template<typename T >
template<typename ForwardIterator >

testing::internal::ValuesInIteratorRangeGenerator< T >::ValuesInIteratorRangeGenerator | ( | ForwardIterator | begin,
|  | ForwardIterator | end
| ) |  |

inline

Definition at line 10831 of file gtest.h.

## ~ValuesInIteratorRangeGenerator()

template<typename T >

testing::internal::ValuesInIteratorRangeGenerator< T >::~ValuesInIteratorRangeGenerator | ( |  | ) |

inlineoverride

Definition at line 10833 of file gtest.h.

## Member Function Documentation

## Begin()

template<typename T >

ParamIteratorInterface<T>* testing::internal::ValuesInIteratorRangeGenerator< T >::Begin | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParamGeneratorInterface< T >.

Definition at line 10835 of file gtest.h.

## End()

template<typename T >

ParamIteratorInterface<T>* testing::internal::ValuesInIteratorRangeGenerator< T >::End | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParamGeneratorInterface< T >.

Definition at line 10838 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h